Kostenloses Tool

VCF in Excel umwandeln: Kontakte als Tabelle

Dieses Werkzeug wandelt vCard-Dateien (.vcf) vom iPhone, aus Google Kontakte oder Outlook in eine CSV-Tabelle für Excel um. Name, Firma, Telefonnummern, E-Mail und Adresse stehen danach in eigenen Spalten, eine Zeile je Kontakt. Fotos übernimmt es nicht. Die Umwandlung läuft im Browser, ohne Upload.

Von · · · Datenquelle: RFC 6350 (vCard 4.0), RFC 2426 (vCard 3.0) und RFC 2045 (Quoted-Printable) · Methodik

vCard-Datei laden

Tabelle
Trennzeichen
Kodierung

Hinweis

Das Werkzeug läuft in Ihrem Browser, Ihre Eingaben werden nicht übertragen und Ihre Dateien bleiben auf Ihrem Gerät. Öffnen Sie das Ergebnis, bevor Sie es weitergeben, und prüfen Sie, ob alles Nötige drin ist und nichts mehr, was raus sollte. Behalten Sie das Original, bis Sie das wissen. Für Verluste an Qualität oder Inhalt übernehmen wir keine Gewähr; die technische Grundlage nennt die Seite, Stand siehe „Zuletzt geprüft“.

VCF-Datei in Excel öffnen, ohne Upload

Wer eine .vcf-Datei direkt in Excel öffnet, sieht oft alles in Spalte A: BEGIN:VCARD, N:Müller;Anna;;;, TEL;TYPE=CELL und so weiter. Eine vCard ist keine Tabelle. Jede Zeile ist eine Eigenschaft mit Namen, Parametern und Wert, und ein Kontakt erstreckt sich über viele Zeilen (RFC 6350, Abschnitt 3.3). Excel kennt dieses Format nicht und zeigt den Text roh an.

Diese Seite liest die vCards Eigenschaft für Eigenschaft und baut daraus eine Tabelle mit einer Zeile je Kontakt. Ziehen Sie eine oder mehrere .vcf-Dateien in das Feld oder fügen Sie den Text ein, wählen Sie Umfang und Trennzeichen und laden Sie die Datei kontakte.csv herunter. Gelesen und umgewandelt wird im Browser, ohne Upload.

Die Seite versteht die vCard-Versionen 2.1, 3.0 und 4.0. Lange Zeilen, die beim Export umbrochen wurden, setzt sie nach RFC 6350, Abschnitt 3.2 wieder zusammen. Maskierte Zeichen wie \, oder \n (Abschnitt 3.4) werden zu Komma und Zeilenumbruch. Ältere Exporte in Version 2.1 schreiben Umlaute oft als Quoted-Printable, etwa M=C3=BCller für Müller. Auch das wird dekodiert, einschließlich der weichen Zeilenumbrüche mit „=“ am Zeilenende nach RFC 2045.

Kontakte vom iPhone exportieren

Am einfachsten geht es über iCloud am Computer. Apple beschreibt den Weg so: icloud.com/contacts öffnen, die gewünschten Kontakte markieren (für alle über die Aktionstaste und „Alle Kontakte“), danach rechts auf „Teilen“ und „vCard exportieren“. Bei mehreren Kontakten entsteht eine einzige Datei mit allen Einträgen. Diese Datei ziehen Sie hier in das Feld. Auf iCloud.com erscheinen nur Kontakte, die mit iCloud abgeglichen werden. Liegen Ihre Kontakte in einem Google- oder Firmenkonto, exportieren Sie dort.

Das iPhone schreibt manche Angaben als Gruppe, zum Beispiel item1.EMAIL mit einer eigenen Beschriftung in item1.X-ABLabel. Die Seite übernimmt die Adresse, die frei vergebene Beschriftung nicht. Geburtstage ohne Jahr erscheinen als „15.03. (ohne Jahr)“.

Kontakte von Android und Google exportieren

Auf den meisten Android-Telefonen liegen die Kontakte im Google-Konto. Laut Google-Hilfe exportieren Sie sie auf contacts.google.com: Kontakte auswählen (für alle über „Aktionen für Auswahl“ und „Alle“), dann das Dreipunkt-Menü und „Exportieren“. Google bietet dort neben vCard eine eigene CSV an. Wenn Ihnen deren Spalten reichen, brauchen Sie diese Seite nicht. Die vCard lohnt sich, wenn die Datei aus einer anderen App stammt oder Sie deutsche Spaltennamen und nach Typ getrennte Nummern möchten.

Hinweis: Viele Kontakte-Apps der Hersteller können Kontakte auch direkt auf dem Gerät als .vcf-Datei speichern. Wo der Menüpunkt sitzt, unterscheidet sich je nach Hersteller und Version. Wir haben das nicht für jedes Gerät geprüft.

Was in welcher Spalte landet

In der vollständigen Tabelle bekommt jede Angabe eine eigene Spalte, sobald mindestens ein Kontakt sie hat. Leere Spalten lässt die Seite weg.

  • Name aus FN, dazu Nachname, Vorname, weitere Vornamen, Titel und Namenszusatz aus N (RFC 6350, 6.2.2)
  • Firma und Abteilung aus ORG, Position aus TITLE
  • Telefon nach Typ: Mobil, Telefon privat, Telefon geschäftlich, Telefon ohne Typ, Fax, Pager
  • E-Mail privat, geschäftlich oder ohne Typ
  • Adresse zerlegt in Straße, PLZ, Ort, Region, Land, Postfach und Adresszusatz, jeweils privat oder geschäftlich (6.3.1)
  • Geburtstag als TT.MM.JJJJ, Webseite, Kategorien und Notiz

Hat ein Kontakt zwei geschäftliche Nummern, heißt die zweite Spalte „Telefon geschäftlich 2“. Felder ohne feste Zuordnung, etwa IMPP oder herstellereigene X-Felder, erscheinen unter ihrem Originalnamen.

Die kompakte Tabelle hat immer elf Spalten: Name, Vorname, Nachname, Firma, Mobil, Telefon, E-Mail, Straße, PLZ, Ort, Land. Je Kontakt nimmt sie die bevorzugte Angabe (Typ PREF), sonst die erste. Wie viele Angaben dabei wegfallen, steht im Rechenweg.

Nicht übernommen werden Fotos und andere eingebettete Binärdaten wie Logo, Ton oder Schlüssel, außerdem technische Felder wie UID, REV und PRODID.

Umlaute und Sonderzeichen richtig darstellen

Voreingestellt ist eine CSV mit Semikolon als Trennzeichen und den drei Bytes EF BB BF am Anfang, dem UTF-8-BOM. Daran erkennt Excel beim Doppelklick die Kodierung und zeigt Müller statt Müller. Das Semikolon passt zu Excel mit deutschen Regionseinstellungen, wo das Komma als Dezimalzeichen dient. Für Google Tabellen, Numbers oder ein englisches Excel wählen Sie das Komma.

Steht in einer Zelle das Trennzeichen, ein Anführungszeichen oder ein Zeilenumbruch, setzt die Seite das Feld in Anführungszeichen (RFC 4180). Mehrzeilige Notizen bleiben so in einer Zelle.

Zwei Fälle sollten Sie kennen. Excel entfernt beim Öffnen führende Nullen aus Zellen, die nur aus Ziffern bestehen: Aus 0170123 wird 170123. Nummern mit Leerzeichen betrifft das nicht. Findet die Seite solche Werte, warnt sie. Abhilfe laut Microsoft-Hilfe: die Datei in Excel über Daten und „Aus Text/CSV“ laden und die Spalte als Text festlegen.

Der zweite Fall betrifft Zellen, die mit =, +, - oder @ beginnen. Excel könnte sie als Formel ausführen, und eine präparierte Notiz wie =HYPERLINK(…) würde zum anklickbaren Link. Die Seite stellt solchen Zellen deshalb ein Apostroph voran. Das gilt auch für internationale Nummern wie +49 170 1234567, die Excel sonst als Rechnung liest. Je nach Excel-Version ist das Apostroph in der Zelle sichtbar.

Zurück von Excel ins Telefon

Haben Sie die Liste in Excel bereinigt und möchten sie wieder auf das Telefon bringen, hilft das Gegenstück Kontakte aus CSV in VCF umwandeln. Es liest die Tabelle, ordnet die Spalten Kontaktfeldern zu und schreibt eine vCard 3.0 oder 4.0. Prüfen Sie dort die Zuordnung, bevor Sie die Datei erzeugen.

Für Outlook beschreibt Microsoft den Import einer Kontaktliste über eine CSV-Datei: im klassischen Outlook über Datei, Öffnen und exportieren, Importieren/Exportieren, „Aus anderen Programmen oder Dateien importieren“ und „Kommagetrennte Werte“. Die Datei soll laut Microsoft in UTF-8 vorliegen. Feste Spaltennamen nennt diese Anleitung nicht, deshalb bietet die Seite keine eigene Outlook-Vorlage an. Testen Sie den Import zuerst mit wenigen Kontakten.

Grenzen der Umwandlung

Die Seite liest vCards und schreibt CSV. Eine Excel-Arbeitsmappe (.xlsx) erzeugt sie nicht. Excel öffnet die CSV aber direkt, und Sie speichern sie dort als Arbeitsmappe. Kontakte aus einem Adressbuch abrufen kann die Seite ebenfalls nicht, die .vcf-Datei exportieren Sie vorher selbst.

Hinweis zu vCard 2.1: Für diese Version gibt es keine frei abrufbare Primärquelle. Die Seite liest die Schreibweise älterer Exporte, also Typen ohne TYPE= (TEL;CELL) und Quoted-Printable mit Zeichensatzangabe. Bei ungewöhnlichen Exporten prüfen Sie die Vorschau, bevor Sie mit der Tabelle weiterarbeiten.

Häufige Fragen

Warum zeigt Excel die VCF-Datei nur in einer Spalte?

Weil eine vCard keine Tabelle ist, sondern Text mit einer Eigenschaft je Zeile. Excel sucht nach Trennzeichen, findet keine passenden und schreibt jede Zeile in Spalte A. Diese Seite zerlegt die Eigenschaften und schreibt eine CSV mit einer Zeile je Kontakt, die Excel direkt in Spalten öffnet.

Gehen Fotos mit?

Nein. Kontaktfotos stehen in der vCard als lange Base64-Zeichenkette und passen nicht sinnvoll in eine Zelle. Die Seite überspringt sie und nennt im Rechenweg, wie viele Fotos sie ausgelassen hat. Ihre VCF-Datei bleibt unverändert, die Fotos sind dort weiter enthalten.

Wie viele Kontakte schafft die Seite?

Eine feste Obergrenze ist nicht eingebaut. Gemessen haben wir 20.000 Kontakte mit Nummer, E-Mail und Adresse (3,8 MB): Der Rechenkern dieser Seite brauchte dafür auf einem Mac rund 0,2 Sekunden. Bei sehr großen Dateien setzt der Arbeitsspeicher des Geräts die Grenze. Die Vorschau zeigt die ersten 50 Kontakte, die CSV-Datei enthält alle.

Werden meine Kontakte hochgeladen?

Nein. Ihr Browser liest die Datei und baut die CSV, der Download entsteht auf Ihrem Gerät. Gezählt wird nur, dass eine Umwandlung stattgefunden hat, ohne Inhalt. Google Analytics und Google AdSense laufen je nach Einwilligung wie auf allen Seiten dieser Website und erhalten Ihre Kontakte nicht.

Funktioniert das mit Outlook-Visitenkarten?

Ja. Eine VCF-Datei aus Outlook ist eine vCard und wird wie jede andere gelesen, auch in Version 2.1 mit Quoted-Printable. Mehrere Visitenkarten wählen Sie gemeinsam aus, die Seite schreibt alle in eine Tabelle. Für den Weg zurück nach Outlook beschreibt Microsoft den Import einer CSV-Datei in UTF-8.

Warum stehen Umlaute in Excel falsch?

Meist hat Excel eine Datei ohne Kennzeichen im westeuropäischen Zeichensatz gelesen, aus ü wird dann ü. Lassen Sie das Häkchen bei UTF-8-BOM gesetzt, dann erkennt Excel die Kodierung. Stehen die Umlaute schon in der Vorschau falsch, war die vCard selbst anders kodiert. Die Seite liest UTF-8 und fällt bei ungültigen Bytes auf Windows-1252 zurück.

Die Seite liest vCard nach RFC 6350 (Version 4.0) und RFC 2426 (Version 3.0), Version 2.1 nach der in Exporten üblichen Schreibweise, weil dafür keine abrufbare Primärquelle vorliegt. Die CSV folgt RFC 4180. Wie Excel einzelne Werte darstellt, hängt von Excel und Ihren Regionseinstellungen ab; prüfen Sie Telefonnummern nach dem Öffnen. Für die Erlaubnis, fremde Kontaktdaten zu verarbeiten, sind Sie selbst verantwortlich; keine Rechtsberatung.